<script type="text/javascript" src="${request.contextPath}/js/chosen/chosen.jquery.js"></script>
<link rel="stylesheet" type="text/css" href="${request.contextPath}/js/chosen/chosen.css" />
<div class="process_clarify_div" style="position:relative; display:none;">
    <div class="blockui" style="width:100vw; height: 100vh; position: fixed; top:0; left:0; z-index: 99998; background: #000; opacity: 0.5;"></div>
    <div class="process_clarify_input" style="position:absolute; z-index: 100000; left: 0px; transform: translate(-50%, -100%); top: -30px; padding:5px; background:#fff;">
        <div>
            <div class='ui-screen-hidden'>
                <select id="process_clarifyact" name="process_clarifyact" style="display:none">
                    <option value=""></option>
                    <#list clarifyAct?keys as key>
                        <#if key! != ''>
                            <option value="${key!?html}">${clarifyAct[key]!?html}</option>
                        </#if>
                    </#list>
                </select>
            </div>
        </div>
        <#if element.properties.enableActionComment! == 'true' >
            <div>
                <textarea name="process_comment_clarify" style="width:250px; min-height:50px !important; max-width:initial;" placeholder="@@process.label.comment@@"></textarea>
            </div>
        </#if>
        <div class="arrow" style="width: 0; height: 0; border-right: 5px solid transparent; border-left: 5px solid transparent; border-top: 10px solid #fff; position: absolute; right: 50%; bottom: -10px; transform: translateX(50%);"></div>
    </div>
</div>
<style>
    body .process_clarify_div .chosen-container {width:250px !important; max-width:none; text-align:left;}
    body .process_clarify_div.left .process_clarify_input{transform: translate(-25%, -100%) !important;}
    body .process_clarify_div.left .process_clarify_input .arrow {right: 75% !important;}
    body .process_clarify_div.right .process_clarify_input{transform: translate(-75%, -100%) !important;}
    body .process_clarify_div.right .process_clarify_input .arrow {right: 25% !important;}
</style>
<script>
    $(function(){
        var div = $('.process_clarify_div');

        var element = $('#process_clarifyact');
        if ($("body").hasClass("rtl")) {
            $(element).addClass("chosen-rtl");
        }
        $(element).chosen({width: "250px", placeholder_text : '@@process.label.selectActivity@@'});
        var hidden = $(element).closest(".ui-screen-hidden");
        $(hidden).find(".chosen-container").insertAfter(hidden);

        $('button[value="ACTION_CLARIFY"]').on("click", function(e){
            if ($('.process_clarify_div').is(':hidden')) {
                e.preventDefault();
                e.stopPropagation();

                var button = $(this);
                if (button.closest(".form-button").length > 0) {
                    button = button.closest(".form-button");
                }

                if (!$(button).next().hasClass('.process_clarify_div')) {
                    $(button).after($('.process_clarify_div'));
                }

                $('.process_clarify_div').removeClass("left");
                $('.process_clarify_div').removeClass("right");
                $('.process_clarify_div').css("display", "inline-block");
                $('.process_clarify_div').css("left", "-" + ($(button).outerWidth() / 2) + "px");
                
                var offset = $('.process_clarify_div .process_clarify_input').offset();
                if (offset.left < $(button).closest(".dataList").offset().left) {
                    $('.process_clarify_div').addClass("left");
                } else if (offset.left + $('.process_clarify_div .process_clarify_input').outerWidth() > $(button).closest(".dataList").offset().left + $(button).closest(".dataList").outerWidth()) {
                    $('.process_clarify_div').addClass("right");
                }

                $(button).css("position", "relative");
                $(button).css("z-index", "100000");
                $(element).trigger("chosen:updated");
            } else {
                if ($(element).val() === "") {
                    e.preventDefault();
                    e.stopPropagation();
                } else {
                    return true;
                }
            }
            return false;
        });

        $('.process_clarify_div .blockui').on("click", function(){
            var button = $('.process_clarify_div').prev();

            $('.process_clarify_div').hide();
            $(button).css("z-index", "inherit");
        });
    });
</script>
