<div class="process_comment_div" style="position:relative; display:none;">
    <div class="blockui" style="width:100vw; height: 100vh; position: fixed; top:0; left:0; z-index: 99998; background: #000; opacity: 0.5;"></div>
    <div class="process_comment_input" style="position:absolute; z-index: 100000; left: 0px; transform: translate(-50%, -100%); top: -30px; padding:5px; background:#fff;">
        <div>
            <textarea name="process_comment" style="width:250px; min-height:50px !important; max-width:initial;" placeholder="@@process.label.comment@@"></textarea>
        </div>
        <div class="arrow" style="width: 0; height: 0; border-right: 5px solid transparent; border-left: 5px solid transparent; border-top: 10px solid #fff; position: absolute; right: 50%; bottom: -10px; transform: translateX(50%);"></div>
    </div>
</div>
<style>
    body .process_comment_div.left .process_comment_input{transform: translate(-25%, -100%) !important;}
    body .process_comment_div.left .process_comment_input .arrow {right: 75% !important;}
    body .process_comment_div.right .process_comment_input{transform: translate(-75%, -100%) !important;}
    body .process_comment_div.right .process_comment_input .arrow {right: 25% !important;}
</style>
<script>
    $(function(){
        var div = $('.process_comment_div');

        var selectors = 'button[value="ACTION_APPROVE"], button[value="ACTION_REJECT"], button[value="ACTION_WITHDRAW"]';
        <#if includeClarify! == 'true' >
            selectors += ', button[value="ACTION_CLARIFY"]';
        </#if>
        
        $(selectors).on("click", function(e){
            if ($('.process_comment_div').is(':hidden')) {
                e.preventDefault();
                e.stopPropagation();

                var button = $(this);
                if (button.closest(".form-button").length > 0) {
                    button = button.closest(".form-button");
                }

                if (!$(button).next().hasClass('.process_reassignment_div')) {
                    $(button).after($('.process_comment_div'));
                }

                $('.process_comment_div').removeClass("left");
                $('.process_comment_div').removeClass("right");
                $('.process_comment_div').css("display", "inline-block");
                $('.process_comment_div').css("left", "-" + ($(button).outerWidth() / 2) + "px");
                
                var offset = $('.process_comment_div .process_comment_input').offset();
                if (offset.left < $(button).closest(".dataList").offset().left) {
                    $('.process_comment_div').addClass("left");
                } else if (offset.left + $('.process_comment_div .process_comment_input').outerWidth() > $(button).closest(".dataList").offset().left + $(button).closest(".dataList").outerWidth()) {
                    $('.process_comment_div').addClass("right");
                }

                $(button).css("position", "relative");
                $(button).css("z-index", "100000");
            } else {
                return true;
            }
            return false;
        });

        $('.process_comment_div .blockui').on("click", function(){
            var button = $('.process_comment_div').prev();

            $('.process_comment_div').hide();
            $(button).css("z-index", "inherit");
        });
    });
</script>
